Index: c/src/lib/libbsp/arm/csb336/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/csb336/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/csb336/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/arm/csb336/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/csb336/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/csb336/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -28,5 +28,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/arm/csb337/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/csb337/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/csb337/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/arm/csb337/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/csb337/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/csb337/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -28,5 +28,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/arm/edb7312/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/edb7312/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/edb7312/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/arm/edb7312/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/edb7312/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/edb7312/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -28,5 +28,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/arm/gba/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/gba/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/gba/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/arm/gba/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/gba/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/gba/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -28,5 +28,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/arm/gp32/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/gp32/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/gp32/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/arm/gp32/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/gp32/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/gp32/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -28,5 +28,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/arm/nds/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/nds/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/nds/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/arm/nds/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/nds/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/nds/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -20,5 +20,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 RTEMS_CONFIG_BUILD_SUBDIRS(tools)
@@ -35,5 +35,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/arm/rtl22xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/arm/rtl22xx/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/rtl22xx/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/arm/rtl22xx/configure.ac
===================================================================
--- c/src/lib/libbsp/arm/rtl22xx/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/arm/rtl22xx/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -28,5 +28,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/bfin/bf537Stamp/ChangeLog
===================================================================
--- c/src/lib/libbsp/bfin/bf537Stamp/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/bfin/bf537Stamp/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/bfin/bf537Stamp/configure.ac
===================================================================
--- c/src/lib/libbsp/bfin/bf537Stamp/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/bfin/bf537Stamp/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -25,5 +25,5 @@
 [The console driver can operate in either polled or interrupt mode.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/bfin/eZKit533/ChangeLog
===================================================================
--- c/src/lib/libbsp/bfin/eZKit533/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/bfin/eZKit533/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/bfin/eZKit533/configure.ac
===================================================================
--- c/src/lib/libbsp/bfin/eZKit533/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/bfin/eZKit533/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -21,5 +21,5 @@
 [The console driver can operate in either polled or interrupt mode.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/c4x/c4xsim/ChangeLog
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/c4x/c4xsim/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-19	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/c4x/c4xsim/configure.ac
===================================================================
--- c/src/lib/libbsp/c4x/c4xsim/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/c4x/c4xsim/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -18,4 +18,6 @@
 RTEMS_CONFIG_BUILD_SUBDIRS(tools)
 
+BSP_BOOTCARD_OPTIONS
+
 # Explicitly list all Makefiles here
 AC_CONFIG_FILES([Makefile])
Index: c/src/lib/libbsp/h8300/h8sim/ChangeLog
===================================================================
--- c/src/lib/libbsp/h8300/h8sim/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/h8300/h8sim/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-19	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/h8300/h8sim/configure.ac
===================================================================
--- c/src/lib/libbsp/h8300/h8sim/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/h8300/h8sim/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/i386/i386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/i386/i386ex/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/i386/i386ex/configure.ac
===================================================================
--- c/src/lib/libbsp/i386/i386ex/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/i386/i386ex/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -25,5 +25,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/i386/pc386/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/i386/pc386/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/i386/pc386/configure.ac
===================================================================
--- c/src/lib/libbsp/i386/pc386/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/i386/pc386/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -68,5 +68,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/i386/ts_386ex/ChangeLog
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/i386/ts_386ex/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/i386/ts_386ex/configure.ac
===================================================================
--- c/src/lib/libbsp/i386/ts_386ex/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/i386/ts_386ex/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -41,5 +41,5 @@
 [Enables some debugging in the BSP's uart.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/av5282/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/av5282/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/av5282/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/av5282/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/av5282/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/av5282/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -29,5 +29,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/csb360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/csb360/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/csb360/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/csb360/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/csb360/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/csb360/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -18,5 +18,5 @@
 RTEMS_CHECK_NETWORKING
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/gen68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/gen68302/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/gen68302/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/gen68302/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/gen68302/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -20,5 +20,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/gen68340/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/gen68340/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/gen68340/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/gen68340/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/gen68360/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/gen68360/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/gen68360/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/gen68360/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -21,5 +21,5 @@
 AM_CONDITIONAL(HAS_FPSP,[test "$RTEMS_CPU_MODEL" = "m68040"])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/idp/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/idp/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/idp/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/idp/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/idp/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mcf5206elite/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/mcf5206elite/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mcf5206elite/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -18,5 +18,5 @@
 RTEMS_CHECK_NETWORKING
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 AC_CONFIG_SUBDIRS(tools)
Index: c/src/lib/libbsp/m68k/mcf5235/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mcf5235/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/mcf5235/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mcf5235/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 RTEMS_CHECK_NETWORKING
@@ -31,5 +31,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/mrm332/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mrm332/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/mrm332/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mrm332/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/mvme136/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme136/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme136/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme136/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme136/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/mvme147/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme147/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme147/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme147/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/mvme147s/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme147s/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme147s/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme147s/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/mvme162/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme162/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme162/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme162/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -23,5 +23,5 @@
 AM_CONDITIONAL([HAS_FPSP],[test "$RTEMS_CPU_MODEL" = "m68040"])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/mvme167/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme167/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/mvme167/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/mvme167/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -52,5 +52,5 @@
       3 - /dev/tty3, Serial Port 4 on the MVME712M.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/ods68302/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/ods68302/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/ods68302/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/ods68302/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/ods68302/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -32,5 +32,5 @@
 # AC_DEFINE_UNQUOTED([VARIANT],[${BSP_VARIANT}],[missing explanation])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/sim68000/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/sim68000/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/sim68000/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/sim68000/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/sim68000/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/m68k/uC5282/ChangeLog
===================================================================
--- c/src/lib/libbsp/m68k/uC5282/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/uC5282/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/m68k/uC5282/configure.ac
===================================================================
--- c/src/lib/libbsp/m68k/uC5282/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/m68k/uC5282/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -29,5 +29,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/mips/csb350/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/csb350/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/csb350/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/mips/csb350/configure.ac
===================================================================
--- c/src/lib/libbsp/mips/csb350/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/csb350/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -28,5 +28,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/mips/genmongoosev/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/genmongoosev/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/mips/genmongoosev/configure.ac
===================================================================
--- c/src/lib/libbsp/mips/genmongoosev/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/genmongoosev/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -17,5 +17,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/mips/hurricane/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/hurricane/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/hurricane/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/mips/hurricane/configure.ac
===================================================================
--- c/src/lib/libbsp/mips/hurricane/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/hurricane/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -17,5 +17,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/mips/jmr3904/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/jmr3904/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/mips/jmr3904/configure.ac
===================================================================
--- c/src/lib/libbsp/mips/jmr3904/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/jmr3904/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -18,5 +18,5 @@
 RTEMS_CONFIG_BUILD_SUBDIRS(tools)
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/mips/rbtx4925/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/rbtx4925/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/mips/rbtx4925/configure.ac
===================================================================
--- c/src/lib/libbsp/mips/rbtx4925/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/rbtx4925/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -17,5 +17,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/mips/rbtx4938/ChangeLog
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/rbtx4938/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/mips/rbtx4938/configure.ac
===================================================================
--- c/src/lib/libbsp/mips/rbtx4938/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/mips/rbtx4938/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -17,5 +17,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/nios2/nios2_iss/ChangeLog
===================================================================
--- c/src/lib/libbsp/nios2/nios2_iss/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/nios2/nios2_iss/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/nios2/nios2_iss/configure.ac
===================================================================
--- c/src/lib/libbsp/nios2/nios2_iss/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/nios2/nios2_iss/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -25,5 +25,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/no_cpu/no_bsp/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/no_cpu/no_bsp/configure.ac
===================================================================
--- c/src/lib/libbsp/no_cpu/no_bsp/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/no_cpu/no_bsp/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -16,5 +16,5 @@
 RTEMS_PROG_CCAS
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/powerpc/ep1a/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/ep1a/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/ep1a/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/ep1a/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/ep1a/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -37,5 +37,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/powerpc/gen5200/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/gen5200/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/gen5200/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/gen5200/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/gen5200/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -52,5 +52,5 @@
 AC_CONFIG_FILES([Makefile])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 RTEMS_PPC_EXCEPTIONS
Index: c/src/lib/libbsp/powerpc/gen83xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/gen83xx/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/gen83xx/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/gen83xx/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/gen83xx/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -32,5 +32,5 @@
 AC_CONFIG_FILES([Makefile])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 RTEMS_PPC_EXCEPTIONS
Index: c/src/lib/libbsp/powerpc/haleakala/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/haleakala/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/haleakala/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/haleakala/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/haleakala/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/haleakala/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -41,5 +41,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/mbx8xx/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mbx8xx/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/mbx8xx/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/mbx8xx/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -115,5 +115,5 @@
 [used by irq/irq.c])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list a Makefile here 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-16	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mpc55xxevb/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/mpc55xxevb/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/mpc55xxevb/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -48,5 +48,5 @@
 include/bspopts.h])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 RTEMS_PPC_EXCEPTIONS
Index: c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mpc8260ads/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/mpc8260ads/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/mpc8260ads/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -68,5 +68,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list a Makefile here 
Index: c/src/lib/libbsp/powerpc/mvme5500/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/mvme5500/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/mvme5500/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/mvme5500/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/mvme5500/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -32,5 +32,5 @@
  The BSP actually contains the call that enables this.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/powerpc/psim/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/psim/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/psim/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/psim/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/psim/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/psim/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -36,5 +36,5 @@
  significantly reduce simulation times.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/powerpc/score603e/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/score603e/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-19	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/score603e/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/score603e/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/score603e/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -70,5 +70,5 @@
 AM_CONDITIONAL(HAS_NETWORKING,test "$HAS_NETWORKING" = "yes")
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/powerpc/ss555/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/ss555/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/ss555/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/ss555/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/ss555/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -45,5 +45,5 @@
  for the SCI ports.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list a Makefile here 
Index: c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/tqm8xx/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/powerpc/tqm8xx/configure.ac
===================================================================
--- c/src/lib/libbsp/powerpc/tqm8xx/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/powerpc/tqm8xx/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -107,5 +107,5 @@
 AC_CONFIG_FILES([Makefile])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 RTEMS_PPC_EXCEPTIONS
Index: c/src/lib/libbsp/sh/gensh1/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/gensh1/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-22	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/sh/gensh1/configure.ac
===================================================================
--- c/src/lib/libbsp/sh/gensh1/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/gensh1/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -37,5 +37,5 @@
 [If defined, reset the board when the application exits.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/sh/gensh2/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/gensh2/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-16	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/sh/gensh2/configure.ac
===================================================================
--- c/src/lib/libbsp/sh/gensh2/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/gensh2/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -32,5 +32,5 @@
 [If defined, compiles code to jump-start from FLASH, without a monitor])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/sh/gensh4/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/gensh4/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/gensh4/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-16	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/sh/gensh4/configure.ac
===================================================================
--- c/src/lib/libbsp/sh/gensh4/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/gensh4/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -33,5 +33,5 @@
   [Whether to call early_hw_init from start.S])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/sh/shsim/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/shsim/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/shsim/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-16	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/sh/shsim/configure.ac
===================================================================
--- c/src/lib/libbsp/sh/shsim/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/shsim/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -70,5 +70,5 @@
 AC_SUBST(CPU_CLOCK_RATE_HZ)
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/sh/simsh4/ChangeLog
===================================================================
--- c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/simsh4/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-16	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/sh/simsh4/configure.ac
===================================================================
--- c/src/lib/libbsp/sh/simsh4/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sh/simsh4/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -35,5 +35,5 @@
   [Whether to call early_hw_init from start.S])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/sparc/erc32/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sparc/erc32/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/sparc/erc32/configure.ac
===================================================================
--- c/src/lib/libbsp/sparc/erc32/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sparc/erc32/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -45,5 +45,5 @@
  initialization not used on real ERC32 hardware.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/sparc/leon2/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/leon2/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sparc/leon2/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/sparc/leon2/configure.ac
===================================================================
--- c/src/lib/libbsp/sparc/leon2/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sparc/leon2/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -38,5 +38,5 @@
  the wall time required to execute the RTEMS test suites.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/sparc/leon3/ChangeLog
===================================================================
--- c/src/lib/libbsp/sparc/leon3/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sparc/leon3/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/sparc/leon3/configure.ac
===================================================================
--- c/src/lib/libbsp/sparc/leon3/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/sparc/leon3/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -38,5 +38,5 @@
  the wall time required to execute the RTEMS test suites.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
Index: c/src/lib/libbsp/unix/posix/ChangeLog
===================================================================
--- c/src/lib/libbsp/unix/posix/ChangeLog	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/unix/posix/ChangeLog	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -1,2 +1,8 @@
+2008-09-23	Joel Sherrill <joel.sherrill@oarcorp.com>
+
+	* configure.ac: Make letting boot_card() handle work area allocation
+	mandatory. Rename RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION to
+	BSP_BOOTCARD_OPTIONS.
+
 2008-09-18	Joel Sherrill <joel.sherrill@oarcorp.com>
 
Index: c/src/lib/libbsp/unix/posix/configure.ac
===================================================================
--- c/src/lib/libbsp/unix/posix/configure.ac	(revision 63d82b7b887b26d581b0ebdac09cc50ef390235c)
+++ c/src/lib/libbsp/unix/posix/configure.ac	(revision 95aa5e134e835f9d349b79f91986e0d69abf0346)
@@ -36,5 +36,5 @@
 [The BSP's heapspace RAM in MB.])
 
-RTEMS_BSP_BOOTCARD_HANDLES_RAM_ALLOCATION
+BSP_BOOTCARD_OPTIONS
 
 # Explicitly list all Makefiles here
